## IAnjutaEditorTip IAnjutaEditorTip — Editor call tips assistance framework |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_tip_error_quark ()
void | ianjuta_editor_tip_cancel ()
void | ianjuta_editor_tip_show ()
gboolean | ianjuta_editor_tip_visible ()

## Types and Values

#define | IANJUTA_EDITOR_TIP_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorTip

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-tip.h>

## Description

## Functions

### ianjuta_editor_tip_error_quark ()

    GQuark
    ianjuta_editor_tip_error_quark (void);

#### Returns

### ianjuta_editor_tip_cancel ()

    void
    ianjuta_editor_tip_cancel (IAnjutaEditorTip *obj,
                               GError **err);

Cancels the last shown tooltip

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_tip_show ()

    void
    ianjuta_editor_tip_show (IAnjutaEditorTip *obj,
                             GList *tips,
                             IAnjutaIterable *position,
                             GError **err);

Show tips showing more information on current context. No user feedback is required when tips are shown. `position` indicates the position before which is the known context and after which are the suggestions. Usually the editor would use this to align the choices displayed such that the carat is just at this position when the choices are displayed.

#### Parameters

obj | Self |
tips | list of alternative tips. | [element-type utf8]
position | Tip position. |
err | Error propagation and reporting |

### ianjuta_editor_tip_visible ()

    gboolean
    ianjuta_editor_tip_visible (IAnjutaEditorTip *obj,
                                GError **err);

#### Parameters

obj | Self |
err | Error propagation and reporting |

#### Returns

whether a tooltip is crrently shown

## Types and Values

### IANJUTA_EDITOR_TIP_ERROR

    #define IANJUTA_EDITOR_TIP_ERROR ianjuta_editor_tip_error_quark()